
extends _base.pug

block title
  span Enum Example

block ssvg
  mixin checkbtn(value)
    .form-check.form-check-inline
      input.form-check-input.form-check-inline(type="radio" name="state" id="checkbtn-"+value value=value)&attributes(attributes)
      label.form-check-label(for="checkbtn-"+value)= value
  +checkbtn("initial")(checked='')
  +checkbtn("explode")
  +checkbtn("align")
  s-svg#ssvg
    svg#svg(height="40vh" width="100%" viewbox='0 0 100 100' xmlns="http://www.w3.org/2000/svg")
      state.
        //- note: test this with 'strict' transition type
        transition(duration="500ms" timing-function='ease-in-out' type='direct')
        property(name="state" type="enum" values='"initial";"explode";"align"')
          transform(query-selector='#rect1' values='translate(0);translate(-25 -25);translate(-30 0)')
          transform(query-selector='#rect2' values='translate(0);translate(-25 25);translate(-10 0)')
          transform(query-selector='#rect3' values='translate(0);translate(25 -25);translate(10 0)')
          transform(query-selector='#rect4' values='translate(0);translate(25 25);translate(30 0)')
          relation(query-selector='rect' attribute-name='fill' values='red;green;blue')

      g(transform='translate(50 50)')
        rect#rect1(y='-5' x='-5' width="10" height="10")
        rect#rect2(y='-5' x='-5' width="10" height="10")
        rect#rect3(y='-5' x='-5' width="10" height="10")
        rect#rect4(y='-5' x='-5' width="10" height="10")

  script(src=basePath + "/dist/ssvg-engine.js")
  script.
    ssvg.plugin();
    $(document).ready(() => {
      const ssvg = $('#ssvg');
      const inputs = $('.form-check-input');

      inputs.each(function() {
        this.addEventListener('input', function() {
          ssvg.get(0).setState({ state: this.value });
        });
      });
    });
